Skip to main content
GET
/
media-bridge
/
v1
/
{appId}
/
properties
/
{objectType}
Get the properties for an object type.
curl --request GET \
  --url 'https://api.hubapi.com/media-bridge/v1/{appId}/properties/{objectType}?hapikey='
{
  "results": [
    {
      "description": "<string>",
      "fieldType": "<string>",
      "groupName": "<string>",
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>",
          "displayOrder": 123
        }
      ],
      "type": "<string>",
      "archived": true,
      "archivedAt": "2023-11-07T05:31:56Z",
      "calculated": true,
      "calculationFormula": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": "<string>",
      "dataSensitivity": "highly_sensitive",
      "dateDisplayHint": "absolute",
      "displayOrder": 123,
      "externalOptions": true,
      "formField": true,
      "hasUniqueValue": true,
      "hidden": true,
      "hubspotDefined": true,
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": true,
        "readOnlyValue": true,
        "readOnlyOptions": true
      },
      "referencedObjectType": "<string>",
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": "<string>"
    }
  ]
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The appId for the media bridge app. It is possible to have multiple apps in your developer account that use the media bridge.

objectType
string
required

The specific object type to get the details for.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

properties
string

Filter the response to the specified properties.

Response

successful operation

results
object[]
required
Last modified on February 12, 2026